javax.websocket.server

## Interface HandshakeRequest

-     public interface HandshakeRequest

  The handshake request represents the web socket defined Http GET request for the opening handshake of a web socket session.
  Author:
    dannycoward

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SEC_WEBSOCKET_EXTENSIONS` The Sec-WebSocket-Extensions header name
    `static String` | `SEC_WEBSOCKET_KEY` The Sec-WebSocket-Key header name
    `static String` | `SEC_WEBSOCKET_PROTOCOL` The Sec-WebSocket-Protocol header name
    `static String` | `SEC_WEBSOCKET_VERSION` The Sec-WebSocket-Version header name

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<String>>` | `getHeaders()` Return the read only Map of Http Headers that came with the handshake request.
    `Object` | `getHttpSession()` Return a reference to the HttpSession that the web socket handshake that started this conversation was part of, if the implementation is part of a Java EE web container.
    `Map<String,List<String>>` | `getParameterMap()` Return the request parameters associated with the request.
    `String` | `getQueryString()` Return the query string associated with the request.
    `URI` | `getRequestURI()` Return the request URI of the handshake request.
    `Principal` | `getUserPrincipal()` Return the authenticated user or `null` if no user is authenticated for this handshake.
    `boolean` | `isUserInRole(String role)` Checks whether the current user is in the given role.

- - ### Field Detail

    - #### SEC_WEBSOCKET_KEY

          static final String SEC_WEBSOCKET_KEY

      The Sec-WebSocket-Key header name
      See Also:
        Constant Field Values

    - #### SEC_WEBSOCKET_PROTOCOL

          static final String SEC_WEBSOCKET_PROTOCOL

      The Sec-WebSocket-Protocol header name
      See Also:
        Constant Field Values

    - #### SEC_WEBSOCKET_VERSION

          static final String SEC_WEBSOCKET_VERSION

      The Sec-WebSocket-Version header name
      See Also:
        Constant Field Values

    - #### SEC_WEBSOCKET_EXTENSIONS

          static final String SEC_WEBSOCKET_EXTENSIONS

      The Sec-WebSocket-Extensions header name
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHeaders

          Map<String,List<String>> getHeaders()

      Return the read only Map of Http Headers that came with the handshake request. The header names are case insensitive.
      Returns:
        the list of headers.

    - #### getUserPrincipal

          Principal getUserPrincipal()

      Return the authenticated user or `null` if no user is authenticated for this handshake.
      Returns:
        the user principal.

    - #### getRequestURI

          URI getRequestURI()

      Return the request URI of the handshake request.
      Returns:
        the request uri of the handshake request.

    - #### isUserInRole

          boolean isUserInRole(String role)

      Checks whether the current user is in the given role. Roles and role membership can be defined using deployment descriptors of the containing WAR file, if running in a Java EE web container. If the user has not been authenticated, the method returns `false`.
      Parameters:
        `role` - the role being checked.
      Returns:
        whether the authenticated user is in the role, or false if the user has not been authenticated.

    - #### getHttpSession

          Object getHttpSession()

      Return a reference to the HttpSession that the web socket handshake that started this conversation was part of, if the implementation is part of a Java EE web container.
      Returns:
        the http session or `null` if either the websocket implementation is not part of a Java EE web container, or there is no HttpSession associated with the opening handshake request.

    - #### getParameterMap

          Map<String,List<String>> getParameterMap()

      Return the request parameters associated with the request.
      Returns:
        the unmodifiable map of the request parameters.

    - #### getQueryString

          String getQueryString()

      Return the query string associated with the request.
      Returns:
        the query string.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.